package com.qmth.sop.business.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.sop.business.entity.TDFormWidgetMetadata;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 动态表单元数据表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2023-08-29
 */
public interface TDFormWidgetMetadataMapper extends BaseMapper<TDFormWidgetMetadata> {

    /**
     * 根据流程类型、部署id、版本号删除数据
     *
     * @param type
     * @param flowDeploymentId
     * @param version
     * @return
     */
    @InterceptorIgnore(blockAttack = "true")
    @Delete("delete t from t_d_form_widget_metadata t where t.type = '${type}' and t.flow_deployment_id = '${flowDeploymentId}' and t.version = ${version}")
    Boolean deleteAllData(@Param("type") String type, @Param("flowDeploymentId") String flowDeploymentId, @Param("version") Integer version);
}
